Last modified: 2012-04-19 21:43:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21104 - Link dialog should validate URLs better
Link dialog should validate URLs better
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows XP
: Normal minor (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-12 07:17 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
URL Validation error (34.48 KB, application/pdf)
2009-10-12 07:17 UTC, Calcey QA
Details

Description Calcey QA 2009-10-12 07:17:46 UTC
Created attachment 6663 [details]
URL Validation error 

Reporting against Babaco Release r57575.

Steps to reproduce::
1.	Click to add an external link
2.	Type google.com without http://
<< string value shows as [google.com]>>
3.	Type test URL
<<string value shows as test URL>>


Expected output::
External link URL format should be validated

Test Environment::
Browser (User-Agent): Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US;
rv:1.9.0.14) Gecko/2009082707 Firefox/3.0.14 Time and Date: 9:54:29 AM -
Monday, October 12, 2009 Javascript: EnabledNot Available/Enabled Cookies
Enabled: Enabled
Comment 1 Roan Kattouw 2009-10-12 10:47:43 UTC
URLs are currently just validated for non-emptyness, but we should do more. I'll be on this later today.
Comment 2 Roan Kattouw 2009-10-14 18:26:51 UTC
Fixed in r57707
Comment 3 Calcey QA 2009-10-16 07:02:31 UTC
Verified and closed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links